@import './common.less';

body {
    background: @gray_light;
}

@media only screen and  (max-width:@sm_width) {
    .modal {
        background: @white;
    }
}

.btn-primary {
    background: @text_link;
    border: none;
    &:hover {
        background: @text_link_dark;
    }
}

.btn-secondary {
    background: @gray_light2;
    border: none;
    &:hover {
        background: @gray_light3;
    }
}

#profile-photo-container {
    height: 140px;
    position: relative; 
    border-radius: 50%; 
    min-width: 140px; 
    max-width: 140px; 
    background-size: cover;
    background-position: center; 
    background-repeat: no-repeat;
    border: 5px solid @red;
}

.profile-info-section-left.fixed {
    position: fixed;
    width: 300px;
    top: 0;
}

/*#profile-specialization-dropdown {    
    width: 100%;
    height: 50px;
    border-radius: 0;
    background: @red;
    border: 0;
}   

#profile-specialization-dropdown:after {
    content: "";
    width: 0px;
    height: 0px;
    border-top: 25px solid transparent;
    border-bottom: 25px solid transparent;
    border-left: 25px solid @red;
    position: absolute;
    right: -29.7px;
    top: -0px;
    z-index: 1;
}*/

/*.dropdown-menu[aria-labelledby='profile-specialization-dropdown'] {
    width: 100%; 
    border-top-left-radius: 0px; 
    border-top-right-radius: 0px; 
    border-bottom-right-radius: 0px; 
    border-bottom-left-radius: 0px; 
    box-shadow: 0px 0px 10px -4px rgba(0, 0, 0, 0.15);
    border: 0px;
}

@media only screen and  (max-width:@sm_width) {
    #profile-specialization-dropdown::after {
        display:none;
    }
}*/

.tooltip {
    opacity: 1 !important;
}

.tooltip-inner {
    background: rgb(242,242,247);
    border: 1px solid @gray_light4;
    color: @gray_dark3;
    box-shadow: 0px 0px 10px -1px rgba(0, 0, 0, 0.15);
    font-size: 14px;
}
.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^="top"] .arrow::before {
    top: 0;
    border-width: 0.4rem 0.4rem 0;
    border-top-color: @gray_light3;
}

.profile-control-buttons-container {
    margin: 0;
    padding: 0;
    position: absolute;
    white-space: nowrap;
}

.profile-control-button-block {
    .dropdown-menu {
        font-size: 16px;
        box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.15);
        background: #ffffff;
        border: none;
        border-radius: 2px;
        
        .dropdown-item {
            white-space: normal;
            padding: 0.25rem 1rem;
        }
    }
}

.profile-control-button, .profile-control-text-button {
    background: rgb(10,132,255);
    border: none;
    border-radius: 50%;
    box-shadow: 0px 0px 10px -1px rgba(0, 0, 0, 0.15);
    font-size: 12px;
    color: @white;
    width: 30px;
    height: 30px; 
    padding: 0px;
    text-align: center;
}

.profile-control-text-button {
    border-radius: 15px;
    width: auto;
    padding: 0 0.5rem;
}

.profile-control-button:hover {
    background: @text_link_dark;
}

.profile-skills-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    
    li {
        float: left;
        background: @gray_light2;
        padding: 5px 10px;
        margin: 3px 0;
        margin-right: 6px;
        border-radius: 2px;
        font-size: 16px;
        
        &:hover {
            background: @text_link;
            color: @white;
        }
    }
    
    &.small li {
        background: @gray_light2;
        font-size: 14px;
        padding: 2px 5px;
        
        &:hover {
            background: @gray_light2;
            color: @gray_dark6;
        }
    }
}


.profile-work-experience {
    background-position-y:34px;
    background-position-x: 30px;
    background-repeat: no-repeat;
    background-size: 2px;
    margin-bottom: 2px;
}

.profile-work-experience {
    background-image: url("data:image/svg+xml;utf8,<svg width='100%' height='100%' viewBox='0 0 1 45' xmlns='http://www.w3.org/2000/svg'><line x1='0' y1='0' x2='0' y2='100%' stroke='rgb(10,132,255)' stroke-dasharray='2' stroke-width='3' /></svg>");

}

.profile-education-institution .col, 
.profile-education-course .col, 
.profile-work-experience .col, 
.profile-other-experience .col,
.specialized-profile .col {
    border-radius: 2px;
}

.profile-education-institution .col:hover, 
.profile-education-course .col:hover, 
.profile-work-experience .col:hover, 
.profile-other-experience .col:hover,
.specialized-profile .col:hover {
    background: @gray_light;
}

.profile-education-institution .col-auto, 
.profile-work-experience .col-auto {
    color: @text_link;
}

.profile-education-course .col-auto, 
.profile-other-experience .col-auto {
    color: @green;
}

.profile-work-experience:last-child {
    background: none;
}

.profile-education-institution-info, 
.profile-education-course-info, 
.profile-work-experience-info,
.specialized-profile-info {
    background: @gray_light;
    padding: 5px 10px;
    border-radius: 2px;
}

.profile-other-experience-info {
    display: -webkit-box;
    margin: 0 auto;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    
    &.expanded 
    {
        -webkit-line-clamp: 100;
    }
    
    &::after
    {
        position: absolute;
        font-family: 'Font Awesome 5 Pro';
        font-weight: normal;
        width: auto;
        left: 1rem;
        bottom: 1.5rem;
        color: @red;
    }
    
    &::after {    
        content: "\f078  Show more";
    }
    
    &.expanded::after {
        content: "\f106  Show less";
    }
}



//SETTINGS

.list-group.list-group-horizontal
{
    overflow-x: scroll;
    
    &::-webkit-scrollbar
    {
        display: none;
    }
    
    & > .list-group-item:first-child {
        border-top-left-radius: 2px;
        border-top-right-radius: 0;
        border-bottom-left-radius: 2px;
        border-bottom-right-radius: 0;
    }

    & > .list-group-item:last-child {
        border-top-left-radius: 0;
        border-top-right-radius: 2px;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 2px;
    }
    
    li.list-group-item
    {
        white-space: nowrap;
        border-color: @gray_light3;
        a
        {
            color: @gray_dark6;
        }
        
        &.active 
        {
            background: @red; 
            border-color: @red;
            
            a 
            {
                color: @white;
            }
        }
    }
}

        
.list-group.list-group-flush {
    li.list-group-item
    {
        background-color: transparent;
        border-color: @gray_light3;
        a
        {
            color: @gray_dark6;
        }
        
        &.active 
        {
            background: @red; 
            border-color: @red;
            
            a 
            {
                color: @white;
            }
        }
    }
}   

.form-group {
    .form-control {
        border-radius: 0;
        outline:none !important;
        outline-width: 0 !important;
        box-shadow: none;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;

        &[readonly] {
            border-color: @gray_light3 !important;
        }

        &[aria-invalid=true] {
            border-color: rgb(255,149,0);
        }

        &[aria-validated=true] {
            border-color: rgb(255,149,0);
        }
    }



    .help-block {
        background: @gray_light3;
        padding: 0 0.75rem;
        color: @gray_dark3;
        line-height: 30px;
    }

    .iti {
        display: block;
        .iti__selected-flag {
            outline: none;
        }
    }
}

.form-group.required {
    .form-control-label::after {
        content: " *";
        color: @red;
        font-size: 16px;
    }
}
        
        
.form-group {
    
    select[aria-invalid="true"] + .select2-container--default{
        .select2-selection{
            border-color: rgb(255,149,0);
        }
    }
    
   .select2-container--default {
        display: block;

        .select2-selection {
            box-shadow: none;
            background-color: @white;
            border: 1px solid @gray_light3;
            border-radius: 0px;
            color: @gray_dark6;
            font-size: 14px;
            outline: none;
        }

        &.select2-container--focus .select2-selection, 
        &.select2-container--open .select2-selection {
            border-color: @text_link;
        }

        &.select2-container--disabled .select2-selection {
            background-color: @gray_light;
            cursor: not-allowed;
        }

        &.select2-container--open.select2-container--below .select2-selection {
            border-bottom-right-radius: 0;
            border-bottom-left-radius: 0;
            border-bottom-color: @transparent;
        }

        .select2-selection--single, .select2-selection--multiple {
            height: calc(1.5rem + 0.75rem + 2px);
            padding: 0.25rem 0.75rem;

            .select2-selection__rendered {
                color: @gray_dark6;
                font-size: 16px;
                padding: 0;
            }
            
            .select2-selection__placeholder {
                color: @gray_light5;
            }

            .select2-selection__arrow {
                position: absolute;
                height: 38px;
                bottom: 0;
                right: 12px;
                top: 0;
                width: 4px;

                b {
                    border-color: @gray_dark2 transparent transparent transparent;
                    border-style: solid;
                    border-width: 4px 4px 0 4px;
                    height: 0;
                    left: 0;
                    margin-left: -4px;
                    margin-top: -2px;
                    position: absolute;
                    top: 50%;
                    width: 0;
                }
            }

            .select2-selection__clear {
                right: 2rem;
                position: absolute;
                color: #636366;
                cursor: pointer;
                float: right;
                font-weight: bold;
                margin: 0;
                padding: 0;
                line-height: 29px;
            }
        }
        
        .select2-selection--multiple {
           min-height: calc(1.5rem + 0.75rem + 2px);
           height: auto;
           padding-left: 0.25rem;
           padding-right: 0.25rem;
           padding-bottom: 0rem;
           
            .select2-selection__choice {
                margin: 0;
                line-height: 27px;
                border: none;
                border-radius: 0;
                background: @gray_light2;
                margin-right: 2px;
                margin-top: 2px;
            }
            
            .select2-search--inline {
                width: 100%;
                margin-top: 2px;
                line-height: 27px;
                padding: 0 0.25rem;
                font-size: 1rem;
                font-weight: 400;
                line-height: 27px;
                color: #495057;
                
                &::placeholder {
                    color: @gray_light5;
                }
            }
            
            .select2-search__field {
                width: 100% !important;
                margin-top: 0;
            }
            
            .select2-selection__choice + .select2-search--inline {
                width: auto !important;
                
                .select2-search__field {
                    width: 30px !important;
                }
            }
            
            .select2-selection__clear {
                right: 0.75rem;
            }
        }
    }
 
   .input-group.date {
        .input-group-prepend {
            .input-group-text {
                background: @gray_light;
                border: 1px solid @gray_light3;
                border-radius: 2px;
                color: @gray_dark6;
            }
        }
        
        & > .input-group-prepend:not(:first-child) > .input-group-text {
            border-radius: 0;
        }
        
        & > .input-group-prepend > .input-group-text {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
        }
        
        .form-control {
            border-radius: 2px;
            outline:none !important;
            outline-width: 0 !important;
        }
    }
   
   .form-control {
        border-radius: 0;
        outline:none !important;
        outline-width: 0 !important;
        box-shadow: none;
        -moz-box-shadow: none;
        -webkit-box-shadow: none;

        &::placeholder {
            color: @gray_light5;
        }
        
        &[readonly] {
            border-color: @gray_light3 !important;
        }

        &[aria-invalid=true] {
            border-color: rgb(255,149,0);
        }

        &[aria-validated=true] {
            border-color: rgb(255,149,0);
        }
    }

    .hint-block {
        background: @gray_light;
        padding: 0 0.75rem;
        font-size: 12px;
        line-height: 26px;
    }

    .help-block {
        background: @gray_light3;
        padding: 0 0.75rem;
        color: @gray_dark3;
        line-height: 30px;
    }

    .iti {
        display: block;
        .iti__selected-flag {
            outline: none;
        }
    }
    
    .form-group.required {
        .form-control-label::after {
            content: " *";
            color: @red;
            font-size: 16px;
        }
    }

    a[data-toggle="popover"] i {
        font-size: 20px;
        position: absolute;
        line-height: 41px;         
    }

    button[type="submit"] {
        display: block;
        height: 100%;
        min-height: 50px;
        width: 100%;
        padding: 0;
        margin: 0;
        text-align: center;
        font-size: 18px;
        background: @red;
        color: @white;
        border: none;
    }

    button[name="phone-submit-button"] {
        display: block;
        height: 100%;
        min-height: 38px;
        padding: 0;
        margin: 0;
        text-align: center;
        font-size: 18px;
        background: @red;
        color: @white;
        border: none;
        float: left;

        &[data-disabled="true"] {
            background: @gray_light3;
        }
    }

    .phone-verified-sign {
        display: block;
        height: 100%;
        min-height: 38px;
        line-height: 38px;
        padding: 0;
        margin: 0;
        text-align: center;
        font-size: 18px;
        background: @green;
        color: @white;
        border: none;

    }
}

.select2-container--default {
    .select2-dropdown {
        box-shadow: none;
        border-color: @text_link;
        overflow-x: hidden;
        margin-top: -1px;

        .select2-search--dropdown {
            padding: 0;
        }

        .select2-search__field {
            box-shadow: none;
            background-color: @white;
            border: 1px solid @gray_light3;
            border-right: 0;
            border-left: 0;
            border-radius: 0;
            color: @gray_dark6;
            font-size: 16px;
            outline: none;
            padding: 6px;
        }
    }
}

.select2-results__option--highlighted[aria-selected] {
    color: @text_link_dark;
}

.select2-results__option {
    color: @gray_dark2;
}

.datepicker {
    border-radius: 0px;
}



div[data-pjax-container]{
    width: calc(100% + 3rem);
    &.loading {
        filter: blur(1.5px);

        animation-fill-mode: forwards;
        animation-iteration-count: infinite;
        animation-name: wave;
        animation-timing-function: cubic-bezier(0,.99,1,.38);

        -webkit-animation-duration: 2s;
        -webkit-animation-fill-mode: forwards;
        -webkit-animation-iteration-count: infinite;
        -webkit-animation-name: wave;
        -webkit-animation-timing-function: cubic-bezier(0,.99,1,.38);

        -moz-animation-duration: 1s;
        -moz-animation-fill-mode: forwards;
        -moz-animation-iteration-count: infinite;
        -moz-animation-name: wave;
        -moz-animation-timing-function: cubic-bezier(0,.99,1,.38);

        background: linear-gradient(0deg, #ffffff 0%, rgba(242, 242, 247, 0.6) 50%, #ffffff 100%);
        background-image: -webkit-linear-gradient(0deg, #ffffff 0%, rgba(242, 242, 247, 0.6) 50%, #ffffff 100%);
        background-image: -moz-linear-gradient(0deg, #ffffff 0%, rgba(242, 242, 247, 0.4) 50%, #ffffff 100%);

        background-repeat: no-repeat;
        background-size: cover;
    }
}

@-webkit-keyframes wave {
    0% {
        background-position: -1200px 0;
    }
    100% {
        background-position: 1200px 0;
    }
}
@-moz-keyframes wave {
    0% {
        background-position: -1200px 0;
    }
    100% {
        background-position: 1200px 0;
    }
}

.jobseeker-photo-container {
    height: 150px;
    width: 150px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    border-radius: 50%;
    border: 3px solid @red;
}